/*
 * Copyright (c) 2013.  Ohio Department of Education. - All Rights Reserved.
 * Unauthorized copying of this file, in any medium, is strictly prohibited.
 * Written by State Software Development Team (http://ssdt.oecn.k12.oh.us/)
 */

package org.ssdt_ohio.gradle.tasks


class UserDocTemplateInfo {

    private static final String USERDOC_BASEDIR = "org/ssdt_ohio/gradle/userdoc/templates/";

    private static final String TEMPLATE_BASEDIR = "org/codehaus/groovy/tools/groovydoc/gstringTemplates/";
    private static final String DOCGEN_BASEDIR = "org/codehaus/groovy/tools/";
    public static final String[] DEFAULT_DOC_TEMPLATES =
            [ // top level templates
              TEMPLATE_BASEDIR + "topLevel/index.html",
              TEMPLATE_BASEDIR + "topLevel/overview-frame.html", // needs all package names
              TEMPLATE_BASEDIR + "topLevel/allclasses-frame.html", // needs all packages / class names
              TEMPLATE_BASEDIR + "topLevel/overview-summary.html", // needs all packages
              TEMPLATE_BASEDIR + "topLevel/help-doc.html",
              TEMPLATE_BASEDIR + "topLevel/index-all.html",
              TEMPLATE_BASEDIR + "topLevel/deprecated-list.html",
              USERDOC_BASEDIR + "stylesheet.css", // copy default one, may override later
              TEMPLATE_BASEDIR + "topLevel/inherit.gif",
              USERDOC_BASEDIR + "groovy.ico",
            ]

    public static final String[] DEFAULT_PACKAGE_TEMPLATES = [ // package level templates
                                                               TEMPLATE_BASEDIR + "packageLevel/package-frame.html",
                                                               TEMPLATE_BASEDIR + "packageLevel/package-summary.html"
    ]

    public static final String[] DEFAULT_CLASS_TEMPLATES = [ // class level templates
                                                             USERDOC_BASEDIR + "classDocName.html"
    ]


}
